<?php

/** @var \App\Models\Pro $sectionPro */
/** @var \App\Models\Pro $pro */
/** @var \App\Models\Note $note */

if(!@$sectionPro) {
    if(@$note) {
        $sectionPro = $note->hcpPro;
    }
    else {
        $sectionPro = $pro; // should never get here
    }
}


$canvasData = [];
if ($patient->canvas_data) {
    $canvasData = json_decode($patient->canvas_data, true);
    if (isset($canvasData["cc_hpi"])) {
        $canvasData = $canvasData["cc_hpi"];
    }

    // if next_fu->next_cc available, prefill with that
    if (isset($canvasData["next_fu"]) && isset($canvasData["next_fu"][$sectionPro])) {
        $nextFU = $canvasData["next_fu"][$sectionPro];
        if(isset($nextFU['list']) && count($nextFU['list'])) {
            if(!isset($canvasData[$sectionPro])) {
                $canvasData[$sectionPro] = [];
            }
            $prefillData = array_map(function($_x) {
                if(!isset($_x['icd'])) $_x['icd'] = '';
                if(!isset($_x['memo'])) $_x['memo'] = '';
                $_x['hpi'] = [
                    'free_text' => ''
                ];
                return $_x;
            }, $nextFU['list']);
            $canvasData[$sectionPro]['current_cch'] = [
                'list' => $prefillData
            ];
        }
    }

}
$contentData = $canvasData;
